Name:           wormux
Version:        0.7.9
Release:        3%{?dist}
Summary:        2D convivial mass murder game

Group:          Amusements/Games
License:        GPL
URL:            http://www.wormux.org
Source0:        http://download.gna.org/wormux/%{name}-%{version}.tar.gz
Patch0:         wormux-0.7.9-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_image-devel SDL_gfx-devel SDL_mixer-devel 
BuildRequires:  SDL_ttf-devel SDL_net-devel curl-devel
BuildRequires:  gettext libxml++-devel desktop-file-utils
Requires:       wormux-data

%description
Battle your favorite free software mascots in the Wormux arena.  With big
sticks of dynamite, grenades, baseball bats, and bazookas you can exterminate
your opponent in a 2D cartoon style scenery.  The goal of the game is to
destroy all of your opponents' mascots.


%package data
Summary: Data files for wormux
Group: Amusements/Games
Requires: %{name} = %{version}
%description data
Data files for wormux

%prep
%setup -q
%patch0 -p1


%build
%configure --disable-nls --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's/Icon=.*/Icon=wormux.png/' \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        --remove-category=Application \
        --remove-category=ArcadeGame \
        --add-category=StrategyGame \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

install -d $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 data/%{name}_32x32.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/*.6.gz

%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}

%changelog
* Wed Mar 28 2007 Wart <wart@kobold.org> 0.7.9-3
- Enable use of $RPM_OPT_FLAGS

* Fri Mar 9 2007 Wart <wart@kobold.org> 0.7.9-2
- Clean up desktop file categories
- Use upstream's desktop file and icon

* Sat Feb 17 2007 Wart <wart@kobold.org> 0.7.9-1
- Update to 0.7.9

* Fri Sep 1 2006 Wart <wart@kobold.org> 0.7.4-1
- Update to 0.7.4

* Fri Aug 04 2006 Wart <wart@kobold.org> 0.7.2-6
- Add 'ArcadeGame' category to .desktop file

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-5
- Improve grammar in description

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-4
- Fix broken path to desktop icon
- Fix typo in description

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-3
- Use RPM_BUILD_ROOT consistently
- Put the wormux icon in a size-specific directory
- Removed INSTALL from the documentation files

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-2
- Expanded the description
- Separated game data into a subpackage

* Fri Jun 02 2006 Wart <wart@kobold.org> 0.7.2-1
- Initial Fedora Extras package
